Type of key. ECDSA is the default one to use.

### Hierarchy

- KeyType

## Index

### Constructors

- constructor

### Properties

- defaultSchema
- hex
- label
- ECDSA
- EDDSA
- SM2
- values

### Methods

- fromHex
- fromLabel

## Constructors

### constructor

- new KeyType(label: string, hex: number, defaultSchema: SignatureScheme): KeyType

- - Defined in crypto/KeyType.ts:61

  #### Parameters

  - ##### label: string

  - ##### hex: number

  - ##### defaultSchema: SignatureScheme

  #### Returns KeyType

## Properties

### defaultSchema

defaultSchema: SignatureScheme

- Defined in crypto/KeyType.ts:61

### hex

hex: number

- Defined in crypto/KeyType.ts:60

### label

label: string

- Defined in crypto/KeyType.ts:59

### Static ECDSA

ECDSA: KeyType = new KeyType('ECDSA', 0x12, SignatureScheme.ECDSAwithSHA256)

- Defined in crypto/KeyType.ts:27

### Static EDDSA

EDDSA: KeyType = new KeyType('EDDSA', 0x14, SignatureScheme.EDDSAwithSHA512)

- Defined in crypto/KeyType.ts:29

### Static SM2

SM2: KeyType = new KeyType('SM2', 0x13, SignatureScheme.SM2withSM3)

- Defined in crypto/KeyType.ts:28

### Static values

values: KeyType[] = []

- Defined in crypto/KeyType.ts:25

## Methods

### Static fromHex

- fromHex(hex: number): KeyType

- - Defined in crypto/KeyType.ts:36

  Finds Key type corresponding to specified hex representation.

  #### Parameters

  - ##### hex: number

    Byte hex value

  #### Returns KeyType

### Static fromLabel

- fromLabel(label: string): KeyType

- - Defined in crypto/KeyType.ts:50

  Finds Key type corresponding to specified label representation.

  #### Parameters

  - ##### label: string

    Label

  #### Returns KeyType

Generated using TypeDoc